#!/usr/bin/perl

use CGI qw/:standard/;
use NAT;
use NAT::Translator;

$| = 1;

print header;

print <<'SOHTML';
<html> <head>
  <style>
   th    { border: solid 1px #990; background-color: #ffd; }
   table { border: solid 1px #000 }
  </style>
</head><body>
SOHTML

print start_form;
print "Search for: &nbsp;", textfield(-name => "t"), "&nbsp;", submit(-name=>"Search");
print "<p><font color=\"#ff0000\">Note: the answer time can be more than one minute!</font></p>\n";
print end_form;

if (param("t")) {
  my $search_string = param("t");

  my $obj = NAT::Translator::new(sourceLex => "DATA/Biblia-PT.lex",
				 sourceCrp => "DATA/Biblia-PT.crp",
				 sourceStore  => "DATA/Biblia-PT.store",
				 targetLex => "DATA/Biblia-EN.lex",
				 targetCrp => "DATA/Biblia-EN.crp",
				 targetStore  => "DATA/Biblia-EN.store");

  my ($total, $A1) = $obj->translate($search_string);
  print "<table><tr><th>Bidirect</th></tr>\n";
  print "<tr><td valign='top'>\n";

  print "<table width='100%'>\n";
  for (sort {$A1->{$b}<=>$A1->{$a}} keys %$A1) {
    my ($str,$val) = ($_,$A1->{$_});
    print "<tr><td><b>$str</b></td><td align='right'>",formata($val),"</td>\n";
  }
  print "</table>\n";

  print "</td></tr></table>\n";
  print "$total entries found\n";
}


sub formata {
  my $str = shift;
  $str="$1.$2" if ($str =~ m!^(\d+)\.(\d\d).*$!);
  return $str;
}
